<html>
<head>
<title>OgreConfig.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreConfig.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreConfig_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __Config_H_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __Config_H_</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="comment">// Include the CMake-generated build settings.</span>
<a name="l00032"></a>00032 <span class="comment">// If you get complaints that this file is missing, then you&#39;re probably</span>
<a name="l00033"></a>00033 <span class="comment">// trying to link directly against your source dir. You must then add</span>
<a name="l00034"></a>00034 <span class="comment">// %BUILD_DIR%/include to your include search path to find OgreBuildSettings.h.</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;OgreBuildSettings.h&quot;</span>
<a name="l00036"></a>00036 
<a name="l00039"></a>00039 <span class="preprocessor">#ifndef OGRE_PROFILING</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_PROFILING 0</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00042"></a>00042 <span class="preprocessor"></span>
<a name="l00048"></a><a class="code" href="OgreConfig_8h.html#af6e491ff6b09be36783f1d8475477875">00048</a> <span class="preprocessor">#define OGRE_ASSERT_MODE 0</span>
<a name="l00049"></a>00049 <span class="preprocessor"></span>
<a name="l00053"></a><a class="code" href="OgreConfig_8h.html#a25da6395d80814d615a4db506aac2be0">00053</a> <span class="preprocessor">#define OGRE_PRETEND_TEXTURE_UNITS 0</span>
<a name="l00054"></a>00054 <span class="preprocessor"></span>
<a name="l00060"></a>00060 <span class="preprocessor">#ifndef OGRE_DOUBLE_PRECISION</span>
<a name="l00061"></a>00061 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_DOUBLE_PRECISION 0</span>
<a name="l00062"></a>00062 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00063"></a>00063 <span class="preprocessor"></span>
<a name="l00066"></a><a class="code" href="OgreConfig_8h.html#a73f03c4000193e826a1489b02ea50309">00066</a> <span class="preprocessor">#define OGRE_MAX_TEXTURE_COORD_SETS 8</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span>
<a name="l00070"></a><a class="code" href="OgreConfig_8h.html#a1c5fd80e6e0f2f85d6facbe1ec8eb5a4">00070</a> <span class="preprocessor">#define OGRE_MAX_TEXTURE_LAYERS 16</span>
<a name="l00071"></a>00071 <span class="preprocessor"></span>
<a name="l00074"></a><a class="code" href="OgreConfig_8h.html#a3d20e242d4a6aab7de105d85608b286a">00074</a> <span class="preprocessor">#define OGRE_MAX_SIMULTANEOUS_LIGHTS 8</span>
<a name="l00075"></a>00075 <span class="preprocessor"></span>
<a name="l00078"></a><a class="code" href="OgreConfig_8h.html#aec70545291c5268ff4007e5516f09985">00078</a> <span class="preprocessor">#define OGRE_MAX_BLEND_WEIGHTS 4</span>
<a name="l00079"></a>00079 <span class="preprocessor"></span>
<a name="l00082"></a>00082 <span class="comment">//#define OGRE_STATIC_LIB</span>
<a name="l00083"></a>00083 
<a name="l00084"></a>00084 
<a name="l00085"></a>00085 <span class="comment">// define the memory allocator configuration to use</span>
<a name="l00086"></a><a class="code" href="OgreConfig_8h.html#a683315b58ba5ad40de5c09e55d6104a4">00086</a> <span class="preprocessor">#define OGRE_MEMORY_ALLOCATOR_STD 1</span>
<a name="l00087"></a><a class="code" href="OgreConfig_8h.html#afb2e828c6c55f460c024949bc0d08642">00087</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_MEMORY_ALLOCATOR_NED 2</span>
<a name="l00088"></a><a class="code" href="OgreConfig_8h.html#a1ac2a51b075dc484014170dff98106d6">00088</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_MEMORY_ALLOCATOR_USER 3</span>
<a name="l00089"></a><a class="code" href="OgreConfig_8h.html#af91b19981d25544a977617242ec6898c">00089</a> <span class="preprocessor"></span><span class="preprocessor">#define OGRE_MEMORY_ALLOCATOR_NEDPOOLING 4</span>
<a name="l00090"></a>00090 <span class="preprocessor"></span>
<a name="l00091"></a>00091 <span class="preprocessor">#ifndef OGRE_MEMORY_ALLOCATOR</span>
<a name="l00092"></a>00092 <span class="preprocessor"></span><span class="preprocessor">#  define OGRE_MEMORY_ALLOCATOR OGRE_MEMORY_ALLOCATOR_NEDPOOLING</span>
<a name="l00093"></a>00093 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00094"></a>00094 <span class="preprocessor"></span>
<a name="l00095"></a>00095 <span class="comment">// Whether to use the custom memory allocator in STL containers</span>
<a name="l00096"></a>00096 <span class="preprocessor">#ifndef OGRE_CONTAINERS_USE_CUSTOM_MEMORY_ALLOCATOR</span>
<a name="l00097"></a>00097 <span class="preprocessor"></span><span class="preprocessor">#  define OGRE_CONTAINERS_USE_CUSTOM_MEMORY_ALLOCATOR 1</span>
<a name="l00098"></a>00098 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00099"></a>00099 <span class="preprocessor"></span>
<a name="l00100"></a>00100 <span class="comment">//if you want to make Ogre::String use the custom memory allocator then set:</span>
<a name="l00101"></a>00101 <span class="comment">//#define OGRE_STRING_USE_CUSTOM_MEMORY_ALLOCATOR 1</span>
<a name="l00102"></a>00102 <span class="comment">// Doing this will mean Ogre&#39;s strings will not be compatible with std::string however</span>
<a name="l00103"></a>00103 <span class="preprocessor">#ifndef OGRE_STRING_USE_CUSTOM_MEMORY_ALLOCATOR</span>
<a name="l00104"></a>00104 <span class="preprocessor"></span><span class="preprocessor">#   define OGRE_STRING_USE_CUSTOM_MEMORY_ALLOCATOR 0</span>
<a name="l00105"></a>00105 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00106"></a>00106 <span class="preprocessor"></span>
<a name="l00107"></a>00107 <span class="comment">// enable or disable the memory tracker, recording the memory allocations &amp; tracking leaks</span>
<a name="l00108"></a>00108 <span class="comment">// default is to disable since it&#39;s expensive, but you can enable if needed per build target</span>
<a name="l00109"></a>00109 
<a name="l00110"></a>00110 <span class="preprocessor">#ifndef OGRE_MEMORY_TRACKER_DEBUG_MODE</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span><span class="preprocessor">#  define OGRE_MEMORY_TRACKER_DEBUG_MODE 0</span>
<a name="l00112"></a>00112 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00113"></a>00113 <span class="preprocessor"></span>
<a name="l00114"></a>00114 <span class="preprocessor">#ifndef OGRE_MEMORY_TRACKER_RELEASE_MODE</span>
<a name="l00115"></a>00115 <span class="preprocessor"></span><span class="preprocessor">#  define OGRE_MEMORY_TRACKER_RELEASE_MODE 0</span>
<a name="l00116"></a>00116 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00117"></a>00117 <span class="preprocessor"></span>
<a name="l00119"></a><a class="code" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">00119</a> <span class="preprocessor">#define OGRE_MAX_MULTIPLE_RENDER_TARGETS 8</span>
<a name="l00120"></a>00120 <span class="preprocessor"></span>
<a name="l00140"></a>00140 <span class="preprocessor">#ifndef OGRE_THREAD_SUPPORT</span>
<a name="l00141"></a>00141 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_THREAD_SUPPORT 0</span>
<a name="l00142"></a>00142 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00143"></a>00143 <span class="preprocessor"></span><span class="preprocessor">#if OGRE_THREAD_SUPPORT != 0 &amp;&amp; OGRE_THREAD_SUPPORT != 1 &amp;&amp; OGRE_THREAD_SUPPORT != 2</span>
<a name="l00144"></a>00144 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_THREAD_SUPPORT 0</span>
<a name="l00145"></a>00145 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00146"></a>00146 <span class="preprocessor"></span>
<a name="l00158"></a>00158 <span class="preprocessor">#ifndef OGRE_THREAD_PROVIDER</span>
<a name="l00159"></a>00159 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_THREAD_PROVIDER 0</span>
<a name="l00160"></a>00160 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00161"></a>00161 <span class="preprocessor"></span>
<a name="l00165"></a>00165 <span class="preprocessor">#ifndef OGRE_NO_FREEIMAGE</span>
<a name="l00166"></a>00166 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_NO_FREEIMAGE 0</span>
<a name="l00167"></a>00167 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00168"></a>00168 <span class="preprocessor"></span>
<a name="l00172"></a>00172 <span class="preprocessor">#ifndef OGRE_NO_DDS_CODEC</span>
<a name="l00173"></a>00173 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_NO_DDS_CODEC 0</span>
<a name="l00174"></a>00174 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00175"></a>00175 <span class="preprocessor"></span>
<a name="l00179"></a>00179 <span class="preprocessor">#ifndef OGRE_NO_ZIP_ARCHIVE</span>
<a name="l00180"></a>00180 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_NO_ZIP_ARCHIVE 0</span>
<a name="l00181"></a>00181 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00182"></a>00182 <span class="preprocessor"></span>
<a name="l00185"></a>00185 <span class="preprocessor">#ifndef OGRE_USE_NEW_COMPILERS</span>
<a name="l00186"></a>00186 <span class="preprocessor"></span><span class="preprocessor">#define OGRE_USE_NEW_COMPILERS 1</span>
<a name="l00187"></a>00187 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00188"></a>00188 <span class="preprocessor"></span>
<a name="l00189"></a>00189 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
